List Deposit Addresses
curl --request GET \
--url https://pay-api.holdstation.com/partners/funds/deposit-addresses \
--header 'Partner-App-Key: <partner-app-key>' \
--header 'X-HSPay-Signature: <x-hspay-signature>' \
--header 'X-HSPay-Timestamp: <x-hspay-timestamp>'import requests
url = "https://pay-api.holdstation.com/partners/funds/deposit-addresses"
headers = {
"Partner-App-Key": "<partner-app-key>",
"X-HSPay-Signature": "<x-hspay-signature>",
"X-HSPay-Timestamp": "<x-hspay-timestamp>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'Partner-App-Key': '<partner-app-key>',
'X-HSPay-Signature': '<x-hspay-signature>',
'X-HSPay-Timestamp': '<x-hspay-timestamp>'
}
};
fetch('https://pay-api.holdstation.com/partners/funds/deposit-addresses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "success",
"data": {
"success": true,
"deposit_addresses": [
{
"partner_id": "partner-xyz",
"chain_id": 56,
"address": "0xDEPOSIT_ADDRESS_ON_BSC"
},
{
"partner_id": "partner-xyz",
"chain_id": 1,
"address": "0xDEPOSIT_ADDRESS_ON_ETH"
}
],
"total_count": 2,
"page": 1,
"page_size": 20
}
}
Prefunding
List Deposit Addresses
List deposit addresses for receiving on-chain funds.
GET
/
partners
/
funds
/
deposit-addresses
List Deposit Addresses
Partners can list their deposit addresses for receiving on-chain funds. Each address is associated with a specific blockchain.
Authentication
string
required
Your partner app key.
string
required
Base64-encoded Ed25519 signature of the sign data.
string
required
Unix timestamp (seconds) of the request. Must be within 60 seconds of server time.
Query Parameters
integer
Filter by chain ID (optional).
{
"message": "success",
"data": {
"success": true,
"deposit_addresses": [
{
"partner_id": "partner-xyz",
"chain_id": 56,
"address": "0xDEPOSIT_ADDRESS_ON_BSC"
},
{
"partner_id": "partner-xyz",
"chain_id": 1,
"address": "0xDEPOSIT_ADDRESS_ON_ETH"
}
],
"total_count": 2,
"page": 1,
"page_size": 20
}
}